Skip to main content
GET
/
api
/
v1
/
sandbox
/
{sandbox_id}
Get Sandbox Endpoint
curl --request GET \
  --url https://api.primeintellect.ai/api/v1/sandbox/{sandbox_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "dockerImage": "<string>",
  "startCommand": "<string>",
  "cpuCores": 123,
  "memoryGB": 123,
  "diskSizeGB": 123,
  "diskMountPath": "<string>",
  "gpuCount": 123,
  "networkAccess": true,
  "status": "PENDING",
  "timeoutMinutes": 123,
  "environmentVars": {},
  "advancedConfigs": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "startedAt": "2023-11-07T05:31:56Z",
  "terminatedAt": "2023-11-07T05:31:56Z",
  "userId": "<string>",
  "teamId": "<string>",
  "kubernetesJobId": "<string>",
  "gpuType": "CPU_NODE",
  "vm": false,
  "labels": [
    "<string>"
  ],
  "exitCode": 123,
  "errorType": "<string>",
  "errorMessage": "<string>",
  "region": "us",
  "registryCredentialsId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt

Use this file to discover all available pages before exploring further.

Rate Limit

300 requests per 60 seconds per IP and token per sandbox.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sandbox_id
string
required

Response

Successful Response

id
string
required
name
string
required
dockerImage
string
required
startCommand
string | null
required
cpuCores
number
required
memoryGB
number
required
diskSizeGB
number
required
diskMountPath
string
required
gpuCount
integer
required
networkAccess
boolean
required
status
enum<string>
required
Available options:
PENDING,
PROVISIONING,
RUNNING,
PAUSED,
ERROR,
TERMINATED
timeoutMinutes
integer
required
environmentVars
Environmentvars · object
required
advancedConfigs
Advancedconfigs · object
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
startedAt
string<date-time> | null
required
terminatedAt
string<date-time> | null
required
userId
string | null
required
teamId
string | null
required
kubernetesJobId
string | null
required
gpuType
enum<string> | null
Available options:
CPU_NODE,
A10_24GB,
A100_80GB,
A100_40GB,
A30_24GB,
A40_48GB,
B200_180GB,
B300_262GB,
RTX3070_8GB,
RTX3070_8GB,
RTX3080_10GB,
RTX3080Ti_12GB,
RTX3090_24GB,
RTX3090Ti_24GB,
RTX4070Ti_12GB,
RTX4080_16GB,
RTX4080Ti_16GB,
RTX4090_24GB,
RTX5090_32GB,
H100_80GB,
H200_96GB,
GH200_96GB,
H200_141GB,
GH200_480GB,
GH200_624GB,
L4_24GB,
L40_48GB,
L40S_48GB,
RTX4000_8GB,
RTX5000_16GB,
RTX6000_24GB,
RTX8000_48GB,
RTX2000Ada_16GB,
RTX4000Ada_20GB,
RTX5000Ada_32GB,
RTX6000Ada_48GB,
A2000_6GB,
A4000_16GB,
A4500_20GB,
A5000_24GB,
A6000_48GB,
V100_16GB,
V100_32GB,
P100_16GB,
T4_16GB,
P4_8GB,
P40_24GB,
RTX_PRO_6000B_96GB
vm
boolean
default:false
labels
string[]
exitCode
integer | null
errorType
string | null
errorMessage
string | null
region
string
default:us
registryCredentialsId
string | null